import 'dart:convert';

import 'package:easy_pass_common/dto/jwt_token.dart';
import 'package:flutter_test/flutter_test.dart';

import '../fixture_reader.dart';

void main() {
  group('Jwt token - ', () {

    test('fromString - will initilize internal variables', () async {
      var map = json.decode(fixture('jwt_token.json'));
      var jwtString = map['jwt'];
      var jwt = JwtToken.fromString(jwtString);

      expect(jwt, isNotNull);
      expect(jwt.userId, equals(2));
    });
  });
}