import 'dart:convert';

import 'package:easy_pass_common/dto/user.dart';
import 'package:flutter_test/flutter_test.dart';

import '../fixture_reader.dart';

void main() {
  group('User - ', () {

    test('fromJson - will initilize internal variables', () async {
      var user = User.fromJson(json.decode(fixture('user.json')));

      expect(user, isNotNull);
      expect(user.id, equals(2));
      expect(user.name, equals('Desmond'));
      expect(user.surname, equals('Letshedi'));
    });
  });
}