import 'dart:convert';

class JwtToken {
  int userId;

  JwtToken.fromString(String jwt) {
    if (jwt != null) {
      final parts = jwt.split('.');
      if (parts.length == 3) {
        final payload = parts[1];
        var normalized = base64Url.normalize(payload);
        var resp = utf8.decode(base64Url.decode(normalized));
        final payloadMap = json.decode(resp);
        if (payloadMap is Map<String, dynamic>) {
          this.userId = payloadMap['person_id'];
        }  
      } 
    }
  }
}