import 'dart:convert';

import 'package:easy_pass_common/dto/ticket.dart';
import 'package:easy_pass_common/dto/ticket_status.dart';
import 'package:flutter_test/flutter_test.dart';

import '../fixture_reader.dart';

void main() {
  group('Tickets - ', () {

    test('fromJson - will initilize internal variables', () async {
      var ticket  = Ticket.fromJson(json.decode(fixture('ticket.json')));

      expect(ticket, isNotNull);
      expect(ticket.personId, equals(1));
      expect(ticket.eventId, equals(1));
      expect(ticket.status, equals(TicketStatus.Created));
      expect(ticket.id, equals(4));
    });
  });
}