
import 'package:easy_pass_common/dto/ticket_status.dart';
import 'package:easy_pass_common/dto/update_ticket_request.dart';
import 'package:flutter_test/flutter_test.dart';

void main() {
  group('Update ticket request - ', () {

    test('constructor - will initilize internal variables', () async {
        var request = UpdateTicketRequest(4, TicketStatus.Approved);
        
        expect(request, isNotNull);
        expect(request.path, equals('/tickets'));
        expect(request.parameters['status'], equals('Approved'));
    });
  });
}